| 0.9.9 API documentation

Typedefs | Functions
dual_quaternion.hpp File Reference

Go to the source code of this file.

## Typedefs
typedef highp_ddualquat | ddualquat
typedef highp_fdualquat | dualquat
typedef highp_fdualquat | fdualquat
typedef tdualquat< double, highp > | highp_ddualquat
typedef tdualquat< float, highp > | highp_dualquat
typedef tdualquat< float, highp > | highp_fdualquat
typedef tdualquat< double, lowp > | lowp_ddualquat
typedef tdualquat< float, lowp > | lowp_dualquat
typedef tdualquat< float, lowp > | lowp_fdualquat
typedef tdualquat< double, mediump > | mediump_ddualquat
typedef tdualquat< float, mediump > | mediump_dualquat
typedef tdualquat< float, mediump > | mediump_fdualquat

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL tdualquat< T, Q > | dual_quat_identity ()
template<typename T , qualifier Q>
GLM_FUNC_DECL tdualquat< T, Q > | dualquat_cast (mat< 2, 4, T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL tdualquat< T, Q > | dualquat_cast (mat< 3, 4, T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL tdualquat< T, Q > | inverse (tdualquat< T, Q > const &q)
template<typename T , qualifier Q>
GLM_FUNC_DECL tdualquat< T, Q > | lerp (tdualquat< T, Q > const &x, tdualquat< T, Q > const &y, T const &a)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 4, T, Q > | mat2x4_cast (tdualquat< T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 4, T, Q > | mat3x4_cast (tdualquat< T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL tdualquat< T, Q > | normalize (tdualquat< T, Q > const &q)

## Detailed Description

GLM_GTX_dual_quaternion

Author
  Maksim Vorobiev (msome.nosp@m.one@.nosp@m.gmail.nosp@m..com)

See also
  Core features (dependence)
  GLM_GTC_constants (dependence)
  GLM_GTC_quaternion (dependence)

Definition in file dual_quaternion.hpp.